Delete Skills from Content

This endpoint deletes the specified skills in content. On a successful delete, it returns a 204 No Content response.

Required Scope

content:write

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Body Parameters

  • id
    Required. String containing the name of the skill. The name is also the unique identifier.
  • type
    Type of object that will be removed as a relationship. Can only be skills.

Refer to the example request below.

curl https://api.degreed.com/api/v2/content/<contentId>/relationships/skills
  -H "Content-Type: application/json"
  -H "Authorization: Bearer <access_token>"
  -X DELETE
  -d '{ \
    "data": [ \
    { \
      "id": "64rrL" \
      "type": "skills" \
        }, 
    ] \
  }'
Path Params
string
required

The ID of the content to delete skills from.

Body Params
data
array of objects
data
Response
201

Success

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!